Go to the first, previous, next, last section, table of contents.

### `setprec`

`setprec([n])`
  :: Sets the precision for bigfloat operations to n digits.

return
  integer
n
  integer

- When an argument is given, it sets the precision for bigfloat operations to n digits. The return value is always the previous precision in digits regardless of the existence of an argument.
- Bigfloat operations are done by PARI. (See section `pari`.)
- This is effective for computations in bigfloat. Refer to `ctrl()` for turning on the `bigfloat flag.'
- There is no upper limit for precision digits. It sets the precision to some digits around the specified precision. Therefore, it is safe to specify a larger value.

    [1] setprec();
    9
    [2] setprec(100);
    9
    [3] setprec(100);
    96

section `ctrl`, section `eval`, `deval`, section `pari`.

Go to the first, previous, next, last section, table of contents.